Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.blueprint.config.internal
Class BlueprintParser

    java.lang.Object
      org.eclipse.gemini.blueprint.blueprint.config.internal.BlueprintParser

    public class BlueprintParser

extends Object

Stateful class that handles the parsing details of a <component> elements. Borrows heavily from `BeanDefinitionParserDelegate`. Note: Due to its stateful nature, this class is not thread safe. Note: Since the namespace is important when parsing elements and since mixed elements, from both rfc124 and Spring can coexist in the same file, reusing the `delegate` isn't entirely possible since the two state needs to be kept in synch.

Author:
  Costin Leau

Field Summary
`static String` | `BEAN`
`static String` | `COMPONENT_ID_ATTR`
`static String` | `CONSTRUCTOR_ARG`
`static String` | `DECLARED_SCOPE`
`static String` | `NAMESPACE_URI`

Constructor Summary
`BlueprintParser()`
`BlueprintParser(org.springframework.beans.factory.parsing.ParseState parseState, Collection<String> usedNames)`

Method Summary
`org.springframework.beans.factory.config.BeanDefinition` | `parse(Element componentElement, org.springframework.beans.factory.xml.ParserContext parserContext)`
`Object` | `parseArrayElement(Element arrayEle, org.springframework.beans.factory.config.BeanDefinition bd)` Parse an array element.
`org.springframework.beans.factory.config.BeanDefinitionHolder` | `parseAsHolder(Element componentElement, org.springframework.beans.factory.xml.ParserContext parserContext)`
`protected void` | `parseCollectionElements(NodeList elementNodes, Collection<Object> target, org.springframework.beans.factory.config.BeanDefinition bd, String defaultElementType)`
`List<?>` | `parseListElement(Element collectionEle, org.springframework.beans.factory.config.BeanDefinition bd)` Parse a list element.
`Map<?,?>` | `parseMapElement(Element mapEle, org.springframework.beans.factory.config.BeanDefinition bd)` Parse a map element.
`static Map<?,?>` | `parsePropertyMapElement(org.springframework.beans.factory.xml.ParserContext parserContext, Element ele, org.springframework.beans.factory.config.BeanDefinition bd)`
`static Set<?>` | `parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext parserContext, Element ele, org.springframework.beans.factory.config.BeanDefinition bd)`
`static Object` | `parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext parserContext, Element ele, org.springframework.beans.factory.config.BeanDefinition bd)`
`Properties` | `parsePropsElement(Element propsEle)` Parse a props element.
`Set<?>` | `parseSetElement(Element collectionEle, org.springframework.beans.factory.config.BeanDefinition bd)` Parse a set element.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BEAN

    public static final String BEAN

See Also:
  Constant Field Values

### COMPONENT_ID_ATTR

    public static final String COMPONENT_ID_ATTR

See Also:
  Constant Field Values

### CONSTRUCTOR_ARG

    public static final String CONSTRUCTOR_ARG

See Also:
  Constant Field Values

### NAMESPACE_URI

    public static final String NAMESPACE_URI

See Also:
  Constant Field Values

### DECLARED_SCOPE

    public static final String DECLARED_SCOPE

See Also:
  Constant Field Values

Constructor Detail

### BlueprintParser

    public BlueprintParser()

### BlueprintParser

    public BlueprintParser(org.springframework.beans.factory.parsing.ParseState parseState,
                           Collection<String> usedNames)

Method Detail

### parseAsHolder

    public org.springframework.beans.factory.config.BeanDefinitionHolder parseAsHolder(Element componentElement,
                                                                                       org.springframework.beans.factory.xml.ParserContext parserContext)

### parse

    public org.springframework.beans.factory.config.BeanDefinition parse(Element componentElement,
                                                                         org.springframework.beans.factory.xml.ParserContext parserContext)

### parsePropertySubElement

    public static Object parsePropertySubElement(org.springframework.beans.factory.xml.ParserContext parserContext,
                                                 Element ele,
                                                 org.springframework.beans.factory.config.BeanDefinition bd)

### parsePropertyMapElement

    public static Map<?,?> parsePropertyMapElement(org.springframework.beans.factory.xml.ParserContext parserContext,
                                                   Element ele,
                                                   org.springframework.beans.factory.config.BeanDefinition bd)

### parsePropertySetElement

    public static Set<?> parsePropertySetElement(org.springframework.beans.factory.xml.ParserContext parserContext,
                                                 Element ele,
                                                 org.springframework.beans.factory.config.BeanDefinition bd)

### parseArrayElement

    public Object parseArrayElement(Element arrayEle,
                                    org.springframework.beans.factory.config.BeanDefinition bd)

  Parse an array element.

### parseListElement

    public List<?> parseListElement(Element collectionEle,
                                    org.springframework.beans.factory.config.BeanDefinition bd)

  Parse a list element.

### parseSetElement

    public Set<?> parseSetElement(Element collectionEle,
                                  org.springframework.beans.factory.config.BeanDefinition bd)

  Parse a set element.

### parseCollectionElements

    protected void parseCollectionElements(NodeList elementNodes,
                                           Collection<Object> target,
                                           org.springframework.beans.factory.config.BeanDefinition bd,
                                           String defaultElementType)

### parseMapElement

    public Map<?,?> parseMapElement(Element mapEle,
                                    org.springframework.beans.factory.config.BeanDefinition bd)

  Parse a map element.

### parsePropsElement

    public Properties parsePropsElement(Element propsEle)

  Parse a props element.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013. All Rights Reserved.